summaryrefslogtreecommitdiffstats
path: root/source/l/gnome-icon-theme
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gnome-icon-theme')
-rw-r--r--source/l/gnome-icon-theme/doinst.sh6
-rwxr-xr-xsource/l/gnome-icon-theme/gnome-icon-theme.SlackBuild76
-rw-r--r--source/l/gnome-icon-theme/gnome-icon-theme.pkgconfig.path.diff12
-rw-r--r--source/l/gnome-icon-theme/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/source/l/gnome-icon-theme/doinst.sh b/source/l/gnome-icon-theme/doinst.sh
new file mode 100644
index 000000000..35fc874cb
--- /dev/null
+++ b/source/l/gnome-icon-theme/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e /usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache /usr/share/icons/gnome 1> /dev/null 2> /dev/null
+ fi
+fi
+
diff --git a/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild b/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
new file mode 100755
index 000000000..d8855c64f
--- /dev/null
+++ b/source/l/gnome-icon-theme/gnome-icon-theme.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.26.0
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-gnome-icon-theme
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf gnome-icon-theme-$VERSION
+tar xvf $CWD/gnome-icon-theme-$VERSION.tar.?z* || exit 1
+cd gnome-icon-theme-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Use the "old" /usr/lib/pkgconfig instead of the /usr/share/pkgconfig
+zcat $CWD/gnome-icon-theme.pkgconfig.path.diff.gz | patch -p1 --verbose || exit 1
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --enable-icon-mapping \
+ --localstatedir=/var/lib
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/gnome-icon-theme-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/gnome-icon-theme-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/gnome-icon-theme-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/gnome-icon-theme/gnome-icon-theme.pkgconfig.path.diff b/source/l/gnome-icon-theme/gnome-icon-theme.pkgconfig.path.diff
new file mode 100644
index 000000000..0b93f2cf7
--- /dev/null
+++ b/source/l/gnome-icon-theme/gnome-icon-theme.pkgconfig.path.diff
@@ -0,0 +1,12 @@
+diff -Nur gnome-icon-theme-2.20.0.orig/Makefile.in gnome-icon-theme-2.20.0/Makefile.in
+--- gnome-icon-theme-2.20.0.orig/Makefile.in 2007-09-17 15:07:53.000000000 -0500
++++ gnome-icon-theme-2.20.0/Makefile.in 2008-02-09 19:56:18.425736840 -0600
+@@ -218,7 +218,7 @@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ SUBDIRS = 8x8 16x16 22x22 24x24 32x32 48x48 scalable po
+-pkgconfigdir = $(datadir)/pkgconfig
++pkgconfigdir = $(libdir)/pkgconfig
+ pkgconfig_DATA = gnome-icon-theme.pc
+ THEME_IN_FILES = index.theme.in
+ theme_DATA = index.theme
diff --git a/source/l/gnome-icon-theme/slack-desc b/source/l/gnome-icon-theme/slack-desc
new file mode 100644
index 000000000..0ebf69c21
--- /dev/null
+++ b/source/l/gnome-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-icon-theme: gnome-icon-theme (default icons used by GTK+)
+gnome-icon-theme:
+gnome-icon-theme: A set of default icons used by many GTK+ applications.
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme:
+gnome-icon-theme: